using System;

internal sealed class Delegate429 : MulticastDelegate
{
	public extern long Invoke(long long_0);

	public static long smethod_0(long long_0, Delegate429 delegate429_1)
	{
		return delegate429_1(long_0);
	}

	public extern Delegate429(object object_0, IntPtr intptr_0);

	static Delegate429()
	{
		Class10.smethod_13(typeof(Delegate429).TypeHandle);
	}

	internal static Delegate429 delegate429_0;
}
